#include "UI.h"
#include <curses.h>
#include <iostream>

using std::cerr;
using std::cout;
using std::endl;

int main(void)
{
  try 
  {
    Game oGame;
    UI::Instance(&oGame);

    UI::Instance()->Run();

    UI::Destroy();
  }
  catch (runtime_error& rErr)
  {
    cerr << rErr.what() << endl;
    return -1;
  }
  catch (...)
  {
    cerr << "Caught unknown exception in main()" << endl;
    return -1;
  }
}
